## org.apache.mahout.clustering.lda
Class LDAState

    java.lang.Object
      org.apache.mahout.clustering.lda.LDAState

    public class LDAState

extends java.lang.Object

Constructor Summary
`LDAState(int numTopics, int numWords, double topicSmoothing, Matrix topicWordProbabilities, double[] logTotals, double ll)`

Method Summary
`double` `getLogLikelihood()`
`int` `getNumTopics()`
`int` `getNumWords()`
`double` `getTopicSmoothing()`
`double` `logProbWordGivenTopic(int word, int topic)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LDAState

    public LDAState(int numTopics,
                    int numWords,
                    double topicSmoothing,
                    Matrix topicWordProbabilities,
                    double[] logTotals,
                    double ll)

Method Detail

### logProbWordGivenTopic

    public double logProbWordGivenTopic(int word,
                                        int topic)

### getNumTopics

    public int getNumTopics()

### getNumWords

    public int getNumWords()

### getTopicSmoothing

    public double getTopicSmoothing()

### getLogLikelihood

    public double getLogLikelihood()

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.